html.article-post {
  #back-link {
    padding: 1rem 0 1rem 0;
  }

  .article {
    h1 {
      padding-bottom: 1rem;
    }

    .article-header {
      .article-intro {
        display: flex;

        .article-meta {
          margin-bottom: 1rem;
          flex-direction: column;
          flex: 3;

          .article-meta-label {
            padding-right: 0.25rem;
            margin-bottom: 0;
            display: inline-block;
            font-weight: bold;
            color: $teal;
          }

          .article-description {
            text-align: justify;
            margin: 1rem 2rem 1rem 0;
          }
        }

        .article-banner-image {
          align-self: center;
          flex: 2;
          max-width: 100%;
          width: 0;
        }
      }

      #other-locales {
        font-style: italic;
        padding-bottom: 1rem;

        span {
          vertical-align: middle;
          padding-right: 0.5rem;
        }

        .other-locale-flag {
          display: inline-block;
        }
      }
    }
  }

  .button-wrapper {
    display: flex;
    justify-content: center;
  }

  #comments-intro {
    text-align: center;

    hr {
      margin: 2rem 0 1rem 0;
    }

    h2 {
      padding-left: 0;
      padding-right: 0;
      line-height: 1.4rem;
    }

    #powered-by-hyvor-talk {
      font-size: 0.8rem;
    }
  }

  /******************************  Mobile devices: Portrait ******************************/
  @media screen and (orientation: portrait) {
    .article-intro {
      flex-direction: column;

      .article-banner-image {
        min-width: 50%;
        flex: 1;
      }
    }
  }
}
